## org.apache.http.entity
Interface ContentProducer

    public interface ContentProducer

An abstract entity content producer.

Content producers are expected to be able to produce their content multiple times

Since:
  4.0

Method Summary
`void` `writeTo(OutputStream outstream)`

Method Detail

### writeTo

    void writeTo(OutputStream outstream)
                 throws IOException

  Throws:
    `IOException`

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.